Bug 1724495 - Update to menu-cache 1.1.0 in EPEL7
Summary: Update to menu-cache 1.1.0 in EPEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: menu-cache
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1719529
TreeView+ depends on / blocked
 
Reported: 2019-06-27 08:18 UTC by Zamir SUN
Modified: 2019-10-26 15:21 UTC (History)
5 users (show)

Fixed In Version: menu-cache-1.1.0-1.el7.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 15:21:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Zamir SUN 2019-06-27 08:18:16 UTC
Description of problem:
Recently LXQt got a request for updating in EPEL7. I am working on it and realized that libfm-qt requires menu-cache-devel 1.1.0

BUILDSTDERR: CMake Error at /usr/share/cmake3/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
BUILDSTDERR:   Could NOT find MenuCache: Found unsuitable version "1.0.1", but required is
BUILDSTDERR:   at least "1.1.0" (found
BUILDSTDERR:   /usr/lib64/libmenu-cache.so;/usr/lib64/libglib-2.0.so)

So can LXDE SIG check and update it in EPEL7?

Version-Release number of selected component (if applicable):
EPEL7

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
If you need new compiler to build it in EPEL7, you can take a look at how I utilize devtools-7-gcc-c++ to do it, currently in copr.

https://copr-dist-git.fedorainfracloud.org/cgit/zsun/epel7/libqtxdg.git/tree/libqtxdg.spec?h=epel7&id=941c7a1aac40c9df4b00302f03a77ee0ccd1b21e

Comment 1 Zamir SUN 2019-07-23 12:50:18 UTC
Ping for updates.

I've build this in my own copr and tested against LXQt in EPEL. So can you even directly build this in EPEL7?
https://copr.fedorainfracloud.org/coprs/zsun/epel7/build/948489/

Comment 2 Mamoru TASAKA 2019-07-23 13:44:20 UTC
Just note that while I am currently de-facto maintainer of this package on Fedora side, however I don't touch any EPEL packages currently. I don't know how is currently maintaining this package on EPEL side.

Comment 3 Zamir SUN 2019-07-24 05:30:47 UTC
Thanks for the reply.

Technically, it's the same as in any Fedora release. The difference is on the git branch. Normally you need something like

fedpkg switch-branch f30

to update it in Fedora 30. For EPEL7, it is 

fedpkg switch-branch epel7

And the rest of the workflow is exactly the same.

Meanwhile, I find that there is no LXDE in EPEL7, so I believe menu-cache is only used by LXQt in EPEL.

Comment 4 Zamir SUN 2019-08-01 09:59:59 UTC
Any updates for this?

Comment 5 Raphael Groner 2019-08-01 10:21:51 UTC
cwickert has been the actual maintainer due to LXDE spin what's now obviously not actively developed. He announced officially to quit Fedora packaging.
than did some security fixes afterwards. See commits and builds log.

If you don't mind, I could bump the version and build the update for epel7. As I see no other risk of dependencies than lxde (legacy) and lxqt packages.

Comment 6 Zamir SUN 2019-08-01 14:01:26 UTC
Hi Raphael,

That would be great! I don't think there are LXDE in EPEL7 so I think the risk is minimal.
So this way, I'll start building LXQt in EPEL7 as soon as I am available, and ping you when I am in the stage that menu-cache is needed.

Comment 7 Raphael Groner 2019-08-01 21:10:53 UTC
Well, the changelogs are significantly different comparing epel7 with more recent master. There's a patch to fix a CVE, how to handle bug #1451069?

Comment 8 Zamir SUN 2019-08-18 14:22:09 UTC
As per discussion with Raphael, he do not have write permission on menu-cache as well.

@Ngo_Than,

Can you please update menu-cache in EPEL7, or grant me commit access to menu-cache?

Comment 9 Zamir SUN 2019-09-18 11:48:02 UTC
Now I have the essential permission, and I'll address this as soon as I am available.

Assign to myself

Comment 10 Zamir SUN 2019-09-29 14:25:00 UTC
[lxqt-admin]$ git log
commit 0bf846c357eb5aee7c5f69801d2c26e6ca47d69e (HEAD -> epel7, origin/epel7)
Author: Raphael Groner <raphgro@fedoraproject.org>
Date:   Mon Aug 8 19:03:41 2016 +0200

    retired cause of too old GCC, sources need C++11 features

I see lxqt-admin in EPEL7 has been retired before. So I think a lot more time will be needed to figure out how many packages have been retired and then file separate tickets to unretire them before I can continue working on it.

Currently bulk 0 to III of the following order have been built
https://forum.lxqt.org/t/build-order-release-plan-0-14-1/292

Comment 11 Zamir SUN 2019-09-29 14:26:05 UTC
Oops, sorry I submitted the comment in a wrong place. Please ignore comment 10.

Comment 12 Fedora Update System 2019-10-01 02:30:27 UTC
FEDORA-EPEL-2019-18ce705d1b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 13 Fedora Update System 2019-10-04 21:17:51 UTC
libfm-qt-0.14.1-5.el7, liblxqt-0.14.1-5.el7, libqtxdg-3.3.1-5.el7, libsysstat-0.4.2-3.el7, lximage-qt-0.14.1-3.el7, lxqt-about-0.14.1-3.el7, lxqt-admin-0.14.1-3.el7, lxqt-build-tools-0.6.0-3.el7, lxqt-config-0.14.1-3.el7, lxqt-globalkeys-0.14.1-3.el7, lxqt-notificationd-0.14.1-3.el7, lxqt-openssh-askpass-0.14.1-3.el7, lxqt-panel-0.14.1-3.el7, lxqt-policykit-0.14.1-3.el7, lxqt-powermanagement-0.14.1-3.el7, lxqt-qtplugin-0.14.0-7.el7, lxqt-runner-0.14.1-3.el7, lxqt-session-0.14.1-3.el7, lxqt-sudo-0.14.1-3.el7, lxqt-themes-0.14.0-3.el7, menu-cache-1.1.0-1.el7.5, obconf-qt-0.14.1-3.el7, pavucontrol-qt-0.14.1-3.el7, pcmanfm-qt-0.14.1-3.el7, qterminal-0.14.1-3.el7, qtermwidget-0.14.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 14 Fedora Update System 2019-10-10 07:27:34 UTC
FEDORA-EPEL-2019-18ce705d1b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 15 Fedora Update System 2019-10-10 17:31:06 UTC
libfm-qt-0.14.1-5.el7, liblxqt-0.14.1-5.el7, libqtxdg-3.3.1-5.el7, libsysstat-0.4.2-3.el7, lximage-qt-0.14.1-3.el7, lxqt-about-0.14.1-3.el7, lxqt-admin-0.14.1-3.el7, lxqt-build-tools-0.6.0-3.el7, lxqt-config-0.14.1-3.el7, lxqt-globalkeys-0.14.1-3.el7, lxqt-notificationd-0.14.1-3.el7, lxqt-openssh-askpass-0.14.1-3.el7, lxqt-panel-0.14.1-3.el7, lxqt-policykit-0.14.1-3.el7, lxqt-powermanagement-0.14.1-3.el7, lxqt-qtplugin-0.14.0-7.el7, lxqt-runner-0.14.1-3.el7, lxqt-session-0.14.1-3.el7, lxqt-sudo-0.14.1-3.el7, lxqt-themes-0.14.0-3.el7, menu-cache-1.1.0-1.el7.5, obconf-qt-0.14.1-3.el7, openbox-theme-mistral-thin-0-6.20170125.el7, pavucontrol-qt-0.14.1-3.el7, pcmanfm-qt-0.14.1-3.el7, qterminal-0.14.1-3.el7, qtermwidget-0.14.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 16 Fedora Update System 2019-10-26 15:21:56 UTC
libfm-qt-0.14.1-5.el7, liblxqt-0.14.1-5.el7, libqtxdg-3.3.1-5.el7, libsysstat-0.4.2-3.el7, lximage-qt-0.14.1-3.el7, lxqt-about-0.14.1-3.el7, lxqt-admin-0.14.1-3.el7, lxqt-build-tools-0.6.0-3.el7, lxqt-config-0.14.1-3.el7, lxqt-globalkeys-0.14.1-3.el7, lxqt-notificationd-0.14.1-3.el7, lxqt-openssh-askpass-0.14.1-3.el7, lxqt-panel-0.14.1-3.el7, lxqt-policykit-0.14.1-3.el7, lxqt-powermanagement-0.14.1-3.el7, lxqt-qtplugin-0.14.0-7.el7, lxqt-runner-0.14.1-3.el7, lxqt-session-0.14.1-3.el7, lxqt-sudo-0.14.1-3.el7, lxqt-themes-0.14.0-3.el7, menu-cache-1.1.0-1.el7.5, obconf-qt-0.14.1-3.el7, openbox-theme-mistral-thin-0-6.20170125.el7, pavucontrol-qt-0.14.1-3.el7, pcmanfm-qt-0.14.1-3.el7, qterminal-0.14.1-3.el7, qtermwidget-0.14.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.